package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;

/**
 * 通用审核不通过请求模型
 */
public class CommonRejectReq {

    /**
     * 发货单id
     */
    @NotBlank(message = "发货单id不能为空")
    private String id;

    /**
     * 不通过原因
     */
    @NotBlank(message = "驳回原因不能为空")
    private String reason;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    @Override
    public String toString() {
        return "AllocationRejectReq{" +
                "id='" + id + '\'' +
                ", reason='" + reason + '\'' +
                '}';
    }
}
